/*
 *	file:		sk.h
 *	project:	SilkClockHack
 *	content:	types, globals, etc...
 *	updated:	20.08.2001
 *
 * copyright: Collin R. Mulliner <palm@mulliner.org>
 * web: www.mulliner.org/palm/
 *
 */

/*
 *  This file is part of SilkClockHack.
 *
 *  SilkClockHack is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  SilkClockHack is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with SilkClockHack; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __SK_H__
#define __SK_H__

#include <PalmOS.h>
#include <Silk.h>
#include <Vga.h>
#include "sk_rcp.h"

// constants

// MurrayD's Keyboard
#define MD_KB_CRID	'tRgK'
#define MD_KB_FTR_NUM	1

// creator ID
#define CRID 'CRMV'

// feature number for runtime cfg
#define CFG_FTR 0

// feature number for SilkClockHack Control
#define SILK_CLOCK_HACK_CTL_FTR		1
// show clock
#define SILK_CLOCK_HACK_SHOW		0
// don't show clock in maximized silk
#define SILK_CLOCK_HACK_DONT_SHOW_MAX	1
// don't show clock in minimized silk
#define SILK_CLOCK_HACK_DONT_SHOW_MIN	2

// cfg stuff
#define TIME_MAX_ON	0x01
#define TIME_MIN_ON	0x02
#define TIME_OFF		0x00

#define DATE_MAX_ON	0x01
#define DATE_MIN_ON	0x02
#define DATE_OFF		0x00

#define BAT_VOLT_ON	0x02
#define BAT_PERC_ON	0x01
#define BAT_OFF		0x00

#define MEM_KB_ON		0x02
#define MEM_PERC_ON	0x01
#define MEM_OFF		0x00

#endif
